c/* %W%      latest revision %G% %U% */
      function ffch3 (q)
c***********************************************************************

c *** See R.H. Landau's program LPOTT, 1981
c *** Charge form factor for He3 from McCarthy et al, PRL 25, 884, 1970
c ***
c *** q in f- 1

      implicit real*8 ( a-h, o-z)

      common /sizes/ a2, b2, c2, a2m, b2m, c2m

      data d, q0, p/ -6.78d-3, 3.98d+0, 0.90d+0/

c >>> FIRST EXECUTABLE STATEMENT <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

      q2 = q * q
      rhl1 = 0.
c     if ( q2 .gt. 24. ) go to 40
      rhl = a2 * q2
      if ( rhl .ge. 150. ) go to 10
      rhl1 = exp( -rhl )
 10   rhl2 = 0.
      rhl = c2 * q2
      if ( rhl .ge. 150. ) go to 20
      rhl2 = -b2 * q2 * exp( -rhl )
 20   rhl = ( ( q - q0 )/p )**2
      rhl3 = 0.
      if ( rhl .ge. 150.) go to 30
      rhl3 = d * exp( -rhl )
 30   ffin = rhl1 + rhl2 + rhl3
c     return

c *** arnold et al fch(he30 for largest q

 40   ffch3 = 0.
      rhl = 0.1059 * q2
c     if ( rhl .ge. 150. ) go to 90
      tau = q2 / 4. / 202.5
      rhl1 = sqrt( ( 1. + tau ) / ( 1. + 4.527 * tau ) )
      ffout = rhl1 * 0.034 * exp( -rhl )
c     if (q2.gt.24.) then
c     ffch3 = ffout
c     else
      ffch3 = ffin
c     endif
      
      return
 90   write(11,*) 'Problem rhl'
      return
      end
